include(CheckIncludeFile)
include(CheckFunctionExists)
include(CheckSymbolExists)

check_include_file("ansidecl.h" HAVE_ANSIDECL_H)
check_include_file("dlfcn.h" HAVE_DLFCN_H)
check_include_file("float.h" HAVE_FLOAT_H)
check_include_file("fp_class.h" HAVE_FP_CLASS_H)
check_include_file("ieeefp.h" HAVE_IEEEFP_H)
check_include_file("inttypes.h" HAVE_INTTYPES_H)
check_include_file("locale.h" HAVE_LOCALE_H)
check_include_file("math.h" HAVE_MATH_H)
check_include_file("memory.h" HAVE_MEMORY_H)
check_include_file("nan.h" HAVE_NAN_H)
check_include_file("pthread.h" HAVE_PTHREAD_H)
check_include_file("stdarg.h" HAVE_STDARG_H)
check_include_file("stdint.h" HAVE_STDINT_H)
check_include_file("stdlib.h" HAVE_STDLIB_H)
check_include_file("strings.h" HAVE_STRINGS_H)
check_include_file("string.h" HAVE_STRING_H)
check_include_file("sys/select.h" HAVE_SYS_SELECT_H)
check_include_file("sys/stat.h" HAVE_SYS_STAT_H)
check_include_file("sys/timeb.h" HAVE_SYS_TIMEB_H)
check_include_file("sys/time.h" HAVE_SYS_TIME_H)
check_include_file("sys/types.h" HAVE_SYS_TYPES_H)
check_include_file("time.h" HAVE_TIME_H)
check_include_file("unistd.h" HAVE_UNISTD_H)
check_include_file("xlocale.h" HAVE_XLOCALE_H)

check_function_exists("asctime" HAVE_ASCTIME)
check_function_exists("fprintf" HAVE_FPRINTF)
check_function_exists("ftime" HAVE_FTIME)
check_function_exists("gettimeofday" HAVE_GETTIMEOFDAY)
check_function_exists("gmtime_r" HAVE_GMTIME_R)
check_function_exists("localtime" HAVE_LOCALTIME)
check_function_exists("localtime_r" HAVE_LOCALTIME_R)
check_function_exists("mktime" HAVE_MKTIME)
check_function_exists("printf" HAVE_PRINTF)
check_function_exists("snprintf" HAVE_SNPRINTF)
check_function_exists("sprintf" HAVE_SPRINTF)
check_function_exists("sscanf" HAVE_SSCANF)
check_function_exists("stat" HAVE_STAT)
check_function_exists("time" HAVE_TIME)
check_function_exists("vfprintf" HAVE_VFPRINTF)
check_function_exists("vsnprintf" HAVE_VSNPRINTF)
check_function_exists("vsprintf" HAVE_VSPRINTF)
check_function_exists("_stat" HAVE__STAT)

#/* Define if gcrypt library is available. */
#undef HAVE_GCRYPT
#/* Define if pthread library is there (-lpthread) */
#undef HAVE_LIBPTHREAD
#/* Define to the sub-directory in which libtool stores uninstalled libraries.   */
#undef LT_OBJDIR


#/* Define to 1 if you have the ANSI C header files. */
#undef STDC_HEADERS

#/* Enable extensions on AIX 3, Interix.  */
#ifndef _ALL_SOURCE
# undef _ALL_SOURCE
#endif
#/* Enable GNU extensions on systems that have them.  */
#ifndef _GNU_SOURCE
# undef _GNU_SOURCE
#endif
#/* Enable threading extensions on Solaris.  */
#ifndef _POSIX_PTHREAD_SEMANTICS
# undef _POSIX_PTHREAD_SEMANTICS
#endif
#/* Enable extensions on HP NonStop.  */
#ifndef _TANDEM_SOURCE
# undef _TANDEM_SOURCE
#endif
#/* Enable general extensions on Solaris.  */
#ifndef __EXTENSIONS__
# undef __EXTENSIONS__
#endif
#/* Define to 1 if on MINIX. */
#undef _MINIX

#/* Define to 2 if the system does not provide POSIX.1 features except with this defined. */
#undef _POSIX_1_SOURCE

#/* Define to 1 if you need to in order for `stat' and other things to work. */
#undef _POSIX_SOURCE

#/* Win32 Std C name mangling work-around */
#undef snprintf

#/* Win32 Std C name mangling work-around */
#undef vsnprintf

set(WITH_XSLT_DEBUG 1)
set(XSLT_LOCALE_WINAPI 0)
set(XSLT_LOCALE_XLOCALE 0)
set(WITH_MEM_DEBUG 1)
set(WITH_TRIO 0)
set(WITH_DEBUGGER 1)
set(WITH_MODULES 1)
if(WIN32)
    if(NOT WINCE)
        set(XSLT_LOCALE_WINAPI 1)
    else(NOT WINCE)
        set(XSLT_LOCALE_NONE 1)
    endif(NOT WINCE)
    set(LIBXSLT_DEFAULT_PLUGINS_PATH "")
else(WIN32)
    set(XSLT_LOCALE_XLOCALE 1)
    set(LIBXSLT_DEFAULT_PLUGINS_PATH "/usr/lib/libxslt-plugins")
endif(WIN32)

configure_file(libxslt/xsltconfig.h.in libxslt/xsltconfig.h)
#configure_file(libexslt/exsltconfig.h.in libexslt/exsltconfig.h)
configure_file(config.h.cmake config.h)